<template>
  <div class="contenido">
    <vue-headful title="Hack a Market | Productos" />
    <li v-for="productos in productos" :key="productos.id">
   <div class="column">
    <div class="card">
      <img :src="productos.imagen" alt="productos.nombre" style="width:100%">
      <div class="container">
        <h2> {{productos.nombre}} </h2>
        <p class="title"> {{productos.stock}} </p>
        <p style="color:green;"> {{productos.disponibilidad}} </p>
        <p><button @click="botonComprar" class="button">Comprar</button></p>
        <p><button @click="botonReservar" class="button">Reservar</button></p>
      </div>
    </div>
 </div>
 
    </li>
  </div>
</template>


<script>
import Swal from "sweetalert2";

export default {
    name: "ProductTable",
    props: {
        productos: Array
    },
    methods: {
    botonComprar() {      
        Swal.fire("Ok!", "Has comprado fruta fresca!", "guay");        
      },
      botonReservar() {      
        Swal.fire("Reservao!", "Has reservado fruta fresca!", "guay");        
      }
    }
}
</script>

<style scoped>
@import url('https://fonts.googleapis.com/css2?family=Source+Sans+Pro:wght@200&display=swap');
body {
  font-family: 'Source Sans Pro', sans-serif;
  margin: 0;
}
* {
  list-style: none;
  box-sizing: border-box;
}
.contenido {
  font-family: 'Source Sans Pro', sans-serif;
  padding-top: 150px;
  text-align: center;
}



html {
  box-sizing: border-box;
}



.column {
  float: left;
  width: 33.3%;
  margin-bottom: 16px;
  padding: 0 8px;
}

.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2); /* this adds the "card" effect */
  padding: 16px;
  text-align: center;
  background-color: #f1f1f1;
}

.about-section {
  padding: 50px;
  text-align: center;
  background-color: #474e5d;
  color: white;
}

.container {
  padding: 0 16px;
}

.container::after, .row::after {
  content: "";
  clear: both;
  display: table;
}

.title {
  color: grey;
}

.button {
  background-color: green;
  border: none;
  color: white;
  padding: 15px 32px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 22px;
  margin: 4px 2px;
  cursor: pointer;
  margin-bottom: 5px;
}

.button:hover {
  background-color: darkgreen;
}

@media screen and (max-width: 650px) {
  .column {
    width: 100%;
    display: block;
    margin-bottom: 20px;
  }
}
</style>